void writeEEPROM()
{ 
  int i; 
  flAutoDetectPowerTEN=0;
  ee_addr=0;
  eeWriteChar(PR_REWRITE_EEPROM);
  eeWriteChar(IspReg);
  eeWriteInt(Power);
  eeWriteInt(UstPowerReg);
  eeWriteInt(TempTerm);
  eeWriteInt(Delta);
  eeWriteChar(FlToUSART);
  eeWriteChar(FlToGSM);
  eeWriteInt(Temp1P);
  eeWriteInt(Temp2P);
  eeWriteInt(Temp3P);
  for(i=0;i<MAX_DS1820;i++)
    eeWriteChar(ds1820_popr[i]);

  eeWriteInt(tEndRectRazgon);
  eeWriteInt(PowerRect);

  eeWriteInt(tEndRectOtbGlv);
  eeWriteInt(timeChimRectOtbGlv);
  eeWriteChar(ProcChimOtbGlv);
  eeWriteInt(timeChimRectOtbSR);
  eeWriteChar(tDeltaRect);
  eeWriteInt(tEndRectOtbSR);
  eeWriteInt(tEndRect);
  eeWriteInt(PowerGlvDistil);
  eeWriteInt(PowerDistil);

  eeWriteInt(TempDeflBegDistil);
  eeWriteInt(TempDefl);
  eeWriteChar(DeltaDefl);

  eeWriteChar(BeepEndProcess);
  eeWriteChar(BeepStateProcess);
  eeWriteChar(BeepKeyPress);

  eeWriteInt(PowerRazvZerno);

  eeWriteInt(tEndDistDefl);
  eeWriteChar(minProcChimOtbSR);
  eeWriteInt(PowerVarkaZerno);
  eeWriteInt(TempKipenZator);
  eeWriteChar(TempZSPSld);
  eeWriteChar(TempZSP);
  eeWriteInt(PowerNBK);
  eeWriteChar(SpeedNBKDst);
  eeWriteInt(PowerMinute);
  eeWriteChar(begProcChimOtbSR);
  eeWriteInt(P_MPX5010);
  eeWriteChar(PeriodRefrServer);
  eeWriteInt(NaprPeregrev);
  eeWriteInt(UrovenBarda);
  eeWriteInt(UrovenProvodimostSR);
  eeWriteInt(TimeStabKolonna);
  eeWriteChar(DecrementCHIM);
  eeWriteChar(IncrementCHIM);
  eeWriteInt(TimeAutoIncCHIM);
  eeWriteChar(CntCHIM);
  for(i=0;i<COUNT_CHIM;i++)
  {
    eeWriteInt(tempK[i]);
    eeWriteChar(CHIM[i]);
  }
  eeWriteInt(TimeRestabKolonna);
  eeWriteChar(CntPause);
  for(i=0;i<10;i++)
  {
    eeWriteChar(tempP[i]);
    eeWriteChar(timeP[i]);
  }
  eeWriteChar(CorrectASC712);
  eeWriteChar(ip[0]);
  eeWriteChar(ip[1]);
  eeWriteChar(ip[2]);
  eeWriteChar(ip[3]);
  eeWriteInt(ipPort);
  for(i=0;i<10;i++) eeWriteChar(idDevice[i]);
  for(i=0;i<12;i++) eeWriteChar(my_phone[i]);
  eeWriteInt(AlarmMPX5010);
  eeWriteChar(FlAvtonom);
  eeWriteChar(timeOpenBRD);
  eeWriteChar(PIDTemp[0]);
  eeWriteChar(PIDTemp[1]);
  eeWriteChar(PIDTemp[2]);
  for(i=0;i<11;i++) eeWriteChar(WiFiAP[i]);
  for(i=0;i<11;i++) eeWriteChar(WiFiPass[i]);
  
  eeWriteChar(CountFractionDist);
  for(i=0;i<MAX_CNT_FRACTION_DIST;i++) 
  {
    eeWriteInt(TempFractionDist[i]);
    eeWriteInt(PowerFractionDist[i]);
    eeWriteChar(AngleFractionDist[i]);
  }
  
  eeWriteChar(CountFractionRect);
  for(i=0;i<MAX_CNT_FRACTION_RECT;i++) 
  {
    eeWriteInt(TempFractionRect[i]);
    eeWriteChar(AngleFractionRect[i]);
  }
  
  eeWriteChar(TempHLDZatorBrog1);
  eeWriteInt(PowerPhase[0]);
  eeWriteInt(PowerPhase[1]);
  eeWriteInt(PowerPhase[2]);
  eeWriteChar(KtPhase[0]);
  eeWriteChar(KtPhase[1]);
  eeWriteChar(KtPhase[2]);
  
  for(i=10;i<MAX_CNT_PAUSE;i++)
  {
    eeWriteChar(tempP[i]);
    eeWriteChar(timeP[i]);
  }
  eeWriteChar(minPressNBK);
  eeWriteChar(deltaPressNBK);
  eeWriteChar(timePressNBK);  
  eeWriteChar(UprNasosNBK);  
  eeWriteChar(ProcChimOtbCP);  
  eeWriteChar(PIDTime);  
  eeWriteChar(usePB);
  eeWriteChar(ProcChimOtbNO);
  eeWriteInt(tempBegOtbNO);
  eeWriteChar(tempProlivNBK);
  for(i=0;i<MAX_DS1820;i++)
  {
      eeWriteChar(ds1820_nums[i]);
  } 
  eeWriteInt(tempDeflNBK);
  eeWriteChar(ProcChimOtbHvost);
  eeWriteChar(timePressAtm);

  
}
